QGIS Application - Bug report #12858
Directory based file formats can't be selected when project reopens and doesn't find it
2015-06-02 05:33 AM - Sfkeller -

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:2.8.2 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 20951
Description

Given a directory based file format (like U.S. Census TIGER or FileGDB/OpenFileGDB) has moved in the file system and the project is
reopened, QGIS asks for new location.
Currently this dialog asks only for files (which is not suitable for directory based file formats) and insists in chosing a file.

A proper solution would be, that new file location dialog detects directory based file format and offers to choose a folder.

(Workaround: Meanwhile, one can to choose a file (incl. path) and manually delete the file immediately in the dialog).

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
